Bug 147151 - Compile error: multiple definition of `jpeg_suppress_tables'
Summary: Compile error: multiple definition of `jpeg_suppress_tables'
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Compilation (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-24 03:02 UTC by Alf Mel
Modified: 2017-08-19 20:58 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alf Mel 2007-06-24 03:02:23 UTC
Version:           0.9.2 (using KDE KDE 3.5.7)
Installed from:    Compiled From Sources
Compiler:          gcc 4.1.2 
OS:                Linux

When trying to compile digikam 0.9.2, I get the following error:

make  all-recursive
make[1]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2'
Making all in digikam
make[2]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam'
Making all in sqlite
make[3]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/sqlite'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/sqlite'
Making all in libs
make[3]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs'
Making all in lprof
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/lprof'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/lprof'
Making all in histogram
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/histogram'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/histogram'
Making all in levels
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/levels'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/levels'
Making all in curves
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/curves'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/curves'
Making all in whitebalance
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/whitebalance'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/whitebalance'
Making all in dmetadata
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dmetadata'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dmetadata'
Making all in dimg
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg'
Making all in loaders
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg/loaders'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg/loaders'
Making all in filters
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg/filters'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg/filters'
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg'
make[5]: Nothing to be done for `all-am'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg'
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dimg'
Making all in threadimageio
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/threadimageio'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/threadimageio'
Making all in themeengine
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/themeengine'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/themeengine'
Making all in widgets
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets'
Making all in metadata
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/metadata'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/metadata'
Making all in imageplugins
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/imageplugins'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/imageplugins'
Making all in common
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/common'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/common'
Making all in iccprofiles
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/iccprofiles'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets/iccprofiles'
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets'
make[5]: Nothing to be done for `all-am'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets'
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/widgets'
Making all in greycstoration
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/greycstoration'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/greycstoration'
Making all in thumbbar
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/thumbbar'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/thumbbar'
Making all in jpegutils
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/jpegutils'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/jpegutils'
Making all in imageproperties
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/imageproperties'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/imageproperties'
Making all in dialogs
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dialogs'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs/dialogs'
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs'
make[3]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/libs'
Making all in utilities
make[3]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities'
Making all in imageeditor
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor'
Making all in canvas
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor/canvas'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor/canvas'
Making all in tools
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor/tools'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor/tools'
Making all in editor
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor/editor'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor/editor'
make[5]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor'
make[5]: Nothing to be done for `all-am'.
make[5]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor'
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/imageeditor'
Making all in splashscreen
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/splashscreen'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/splashscreen'
Making all in setup
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/setup'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/setup'
Making all in cameragui
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/cameragui'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/cameragui'
Making all in hotplug
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/hotplug'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/hotplug'
Making all in scripts
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/scripts'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/scripts'
Making all in batch
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/batch'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/batch'
Making all in slideshow
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/slideshow'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/slideshow'
Making all in lighttable
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/lighttable'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities/lighttable'
make[4]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities'
make[3]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/utilities'
Making all in digikam
make[3]: Entering directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/digikam'
/bin/sh ../../libtool --silent --tag=CXX --mode=link g++  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -Os -march=athlon-xp -pipe -fstack-protector -D_FORTIFY_SOURCE=2 -Wl,-O1,--as-needed -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -DQT_CLEAN_NAMESPACE   -s -o libdigikam.la -rpath /opt/kde/lib -L/opt/kde/lib -L/opt/qt/lib     -R /opt/kde/lib -R /opt/kde/lib -R /opt/qt/lib -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined kdateedit.lo metadatahub.lo digikamapp.lo album.lo albumdb.lo albumdb_sqlite2.lo albumiconview.lo albumicongroupitem.lo albumiconitem.lo albumitemhandler.lo albumfiletip.lo albumfolderview.lo albumhistory.lo albumlister.lo albummanager.lo albumpropsedit.lo albumsettings.lo albumthumbnailloader.lo albumwidgetstack.lo cameradragobject.lo cameralist.lo cameratype.lo datefolderview.lo dcopiface.lo digikamfirstrun.lo digikamview.lo dio.lo dragobjects.lo firstrun.lo folderitem.lo folderview.lo iconview.lo icongroupitem.lo iconitem.lo imageattributeswatch.lo imageinfo.lo imagepreviewview.lo kdatetimeedit.lo kdatepickerpopup.lo kipiinterface.lo mediaplayerview.lo monthwidget.lo pixmapmanager.lo ratingpopupmenu.lo ratingwidget.lo scanlib.lo searchadvanceddialog.lo searchfolderview.lo searchquickdialog.lo searchresultsview.lo searchresultsitem.lo searchwidgets.lo syncjob.lo tagcreatedlg.lo tagfilterview.lo tagfolderview.lo tagspopupmenu.lo upgradedb_sqlite2tosqlite3.lo welcomepageview.lo dcopiface_skel.lo -lkio -lsqlite3   -lkabc -lkhtml -L/opt/kde/lib -lkipi   -lkutils ../../digikam/sqlite/libsqlite.la ../../digikam/libs/thumbbar/libthumbbar.la ../../digikam/libs/themeengine/libthemeengine.la ../../digikam/libs/widgets/libwidgets.la ../../digikam/libs/dialogs/libdialog.la ../../digikam/libs/jpegutils/libjpegutils.la ../../digikam/libs/dimg/libdimg.la ../../digikam/libs/imageproperties/libimagepropertiesdigikam.la ../../digikam/libs/threadimageio/libthreadimageio.la ../../digikam/libs/greycstoration/libgreycstoration.la ../../digikam/utilities/batch/libbatch.la ../../digikam/utilities/slideshow/libslideshow.la ../../digikam/utilities/cameragui/libcameragui.la ../../digikam/utilities/imageeditor/canvas/libdimgcanvas.la ../../digikam/utilities/imageeditor/editor/libdimgeditor.la ../../digikam/utilities/splashscreen/libsplashscreen.la ../../digikam/utilities/setup/libsetup.la ../../digikam/utilities/lighttable/liblighttable.la 
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_suppress_tables':
jcapimin.c:(.text+0x0): multiple definition of `jpeg_suppress_tables'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_write_marker':
jcapimin.c:(.text+0x65): multiple definition of `jpeg_write_marker'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x65): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_write_m_header':
jcapimin.c:(.text+0xdf): multiple definition of `jpeg_write_m_header'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0xdf): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_write_m_byte':
jcapimin.c:(.text+0x13a): multiple definition of `jpeg_write_m_byte'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x13a): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_write_tables':
jcapimin.c:(.text+0x14c): multiple definition of `jpeg_write_tables'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x14c): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_finish_compress':
jcapimin.c:(.text+0x1ae): multiple definition of `jpeg_finish_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x1ae): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_abort_compress':
jcapimin.c:(.text+0x2a2): multiple definition of `jpeg_abort_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x2a2): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_destroy_compress':
jcapimin.c:(.text+0x2ab): multiple definition of `jpeg_destroy_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x2ab): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_CreateCompress':
jcapimin.c:(.text+0x2b4): multiple definition of `jpeg_CreateCompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x2b4): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapistd.o): In function `jpeg_write_scanlines':
jcapistd.c:(.text+0x0): multiple definition of `jpeg_write_scanlines'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapistd.o):jcapistd.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapistd.o): In function `jpeg_write_raw_data':
jcapistd.c:(.text+0xb9): multiple definition of `jpeg_write_raw_data'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapistd.o):jcapistd.c:(.text+0xb9): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcapistd.o): In function `jpeg_start_compress':
jcapistd.c:(.text+0x180): multiple definition of `jpeg_start_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapistd.o):jcapistd.c:(.text+0x180): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jctrans.o): In function `jpeg_copy_critical_parameters':
jctrans.c:(.text+0x269): multiple definition of `jpeg_copy_critical_parameters'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jctrans.o):jctrans.c:(.text+0x269): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jctrans.o): In function `jpeg_write_coefficients':
jctrans.c:(.text+0x48f): multiple definition of `jpeg_write_coefficients'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jctrans.o):jctrans.c:(.text+0x48f): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_quality_scaling':
jcparam.c:(.text+0x0): multiple definition of `jpeg_quality_scaling'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_set_colorspace':
jcparam.c:(.text+0x40): multiple definition of `jpeg_set_colorspace'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x40): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_default_colorspace':
jcparam.c:(.text+0x3db): multiple definition of `jpeg_default_colorspace'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x3db): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_simple_progression':
jcparam.c:(.text+0x4df): multiple definition of `jpeg_simple_progression'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x4df): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_add_quant_table':
jcparam.c:(.text+0x74d): multiple definition of `jpeg_add_quant_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x74d): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_set_linear_quality':
jcparam.c:(.text+0x824): multiple definition of `jpeg_set_linear_quality'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x824): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_set_quality':
jcparam.c:(.text+0x862): multiple definition of `jpeg_set_quality'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x862): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcparam.o): In function `jpeg_set_defaults':
jcparam.c:(.text+0x87a): multiple definition of `jpeg_set_defaults'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x87a): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdatadst.o): In function `jpeg_stdio_dest':
jdatadst.c:(.text+0x2e): multiple definition of `jpeg_stdio_dest'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdatadst.o):jdatadst.c:(.text+0x2e): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcinit.o): In function `jinit_compress_master':
jcinit.c:(.text+0x0): multiple definition of `jinit_compress_master'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcinit.o):jcinit.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcmaster.o): In function `jinit_c_master_control':
jcmaster.c:(.text+0x4e8): multiple definition of `jinit_c_master_control'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcmaster.o):jcmaster.c:(.text+0x4e8): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcmarker.o): In function `jinit_marker_writer':
jcmarker.c:(.text+0x766): multiple definition of `jinit_marker_writer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcmarker.o):jcmarker.c:(.text+0x766): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcmainct.o): In function `jinit_c_main_controller':
jcmainct.c:(.text+0xe6): multiple definition of `jinit_c_main_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcmainct.o):jcmainct.c:(.text+0xe6): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcprepct.o): In function `jinit_c_prep_controller':
jcprepct.c:(.text+0x4c): multiple definition of `jinit_c_prep_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcprepct.o):jcprepct.c:(.text+0x4c): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jccoefct.o): In function `jinit_c_coef_controller':
jccoefct.c:(.text+0x267): multiple definition of `jinit_c_coef_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jccoefct.o):jccoefct.c:(.text+0x267): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jccolor.o): In function `jinit_color_converter':
jccolor.c:(.text+0x47c): multiple definition of `jinit_color_converter'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jccolor.o):jccolor.c:(.text+0x47c): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcsample.o): In function `jinit_downsampler':
jcsample.c:(.text+0x725): multiple definition of `jinit_downsampler'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcsample.o):jcsample.c:(.text+0x725): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jchuff.o): In function `jinit_huff_encoder':
jchuff.c:(.text+0x610): multiple definition of `jinit_huff_encoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jchuff.o):jchuff.c:(.text+0x610): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jchuff.o): In function `jpeg_make_c_derived_tbl':
jchuff.c:(.text+0x660): multiple definition of `jpeg_make_c_derived_tbl'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jchuff.o):jchuff.c:(.text+0x660): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jchuff.o): In function `jpeg_gen_optimal_table':
jchuff.c:(.text+0x8af): multiple definition of `jpeg_gen_optimal_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jchuff.o):jchuff.c:(.text+0x8af): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcphuff.o): In function `jinit_phuff_encoder':
jcphuff.c:(.text+0x8e1): multiple definition of `jinit_phuff_encoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcphuff.o):jcphuff.c:(.text+0x8e1): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcdctmgr.o): In function `jinit_forward_dct':
jcdctmgr.c:(.text+0x47d): multiple definition of `jinit_forward_dct'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcdctmgr.o):jcdctmgr.c:(.text+0x47d): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jfdctfst.o): In function `jpeg_fdct_ifast':
jfdctfst.c:(.text+0x0): multiple definition of `jpeg_fdct_ifast'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jfdctfst.o):jfdctfst.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jfdctflt.o): In function `jpeg_fdct_float':
jfdctflt.c:(.text+0x0): multiple definition of `jpeg_fdct_float'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jfdctflt.o):jfdctflt.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jfdctint.o): In function `jpeg_fdct_islow':
jfdctint.c:(.text+0x0): multiple definition of `jpeg_fdct_islow'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jfdctint.o):jfdctint.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_consume_input':
jdapimin.c:(.text+0x0): multiple definition of `jpeg_consume_input'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_input_complete':
jdapimin.c:(.text+0x277): multiple definition of `jpeg_input_complete'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x277): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_has_multiple_scans':
jdapimin.c:(.text+0x2b6): multiple definition of `jpeg_has_multiple_scans'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x2b6): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_finish_decompress':
jdapimin.c:(.text+0x2f5): multiple definition of `jpeg_finish_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x2f5): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_read_header':
jdapimin.c:(.text+0x3b7): multiple definition of `jpeg_read_header'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x3b7): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_abort_decompress':
jdapimin.c:(.text+0x426): multiple definition of `jpeg_abort_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x426): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_destroy_decompress':
jdapimin.c:(.text+0x42f): multiple definition of `jpeg_destroy_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x42f): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapimin.o): In function `jpeg_CreateDecompress':
jdapimin.c:(.text+0x438): multiple definition of `jpeg_CreateDecompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x438): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapistd.o): In function `jpeg_read_scanlines':
jdapistd.c:(.text+0xd3): multiple definition of `jpeg_read_scanlines'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0xd3): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapistd.o): In function `jpeg_read_raw_data':
jdapistd.c:(.text+0x165): multiple definition of `jpeg_read_raw_data'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x165): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapistd.o): In function `jpeg_start_output':
jdapistd.c:(.text+0x219): multiple definition of `jpeg_start_output'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x219): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapistd.o): In function `jpeg_finish_output':
jdapistd.c:(.text+0x289): multiple definition of `jpeg_finish_output'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x289): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdapistd.o): In function `jpeg_start_decompress':
jdapistd.c:(.text+0x31d): multiple definition of `jpeg_start_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x31d): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdtrans.o): In function `jpeg_read_coefficients':
jdtrans.c:(.text+0x0): multiple definition of `jpeg_read_coefficients'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdtrans.o):jdtrans.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdatasrc.o): In function `jpeg_stdio_src':
jdatasrc.c:(.text+0x17): multiple definition of `jpeg_stdio_src'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdatasrc.o):jdatasrc.c:(.text+0x17): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmaster.o): In function `jpeg_new_colormap':
jdmaster.c:(.text+0x205): multiple definition of `jpeg_new_colormap'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmaster.o):jdmaster.c:(.text+0x205): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmaster.o): In function `jpeg_calc_output_dimensions':
jdmaster.c:(.text+0x282): multiple definition of `jpeg_calc_output_dimensions'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmaster.o):jdmaster.c:(.text+0x282): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmaster.o): In function `jinit_master_decompress':
jdmaster.c:(.text+0x488): multiple definition of `jinit_master_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmaster.o):jdmaster.c:(.text+0x488): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdinput.o): In function `jinit_input_controller':
jdinput.c:(.text+0x62): multiple definition of `jinit_input_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdinput.o):jdinput.c:(.text+0x62): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmarker.o): In function `jpeg_resync_to_restart':
jdmarker.c:(.text+0xc5e): multiple definition of `jpeg_resync_to_restart'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xc5e): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmarker.o): In function `jinit_marker_reader':
jdmarker.c:(.text+0xdcb): multiple definition of `jinit_marker_reader'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xdcb): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmarker.o): In function `jpeg_save_markers':
jdmarker.c:(.text+0xe3f): multiple definition of `jpeg_save_markers'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xe3f): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmarker.o): In function `jpeg_set_marker_processor':
jdmarker.c:(.text+0xf1d): multiple definition of `jpeg_set_marker_processor'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xf1d): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdhuff.o): In function `jpeg_fill_bit_buffer':
jdhuff.c:(.text+0x0): multiple definition of `jpeg_fill_bit_buffer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdhuff.o): In function `jpeg_huff_decode':
jdhuff.c:(.text+0x109): multiple definition of `jpeg_huff_decode'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x109): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdhuff.o): In function `jinit_huff_decoder':
jdhuff.c:(.text+0x61d): multiple definition of `jinit_huff_decoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x61d): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdhuff.o): In function `jpeg_make_d_derived_tbl':
jdhuff.c:(.text+0x667): multiple definition of `jpeg_make_d_derived_tbl'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x667): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdphuff.o): In function `jinit_phuff_decoder':
jdphuff.c:(.text+0x7f): multiple definition of `jinit_phuff_decoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdphuff.o):jdphuff.c:(.text+0x7f): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmainct.o): In function `jinit_d_main_controller':
jdmainct.c:(.text+0x4e4): multiple definition of `jinit_d_main_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmainct.o):jdmainct.c:(.text+0x4e4): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdcoefct.o): In function `jinit_d_coef_controller':
jdcoefct.c:(.text+0x4aa): multiple definition of `jinit_d_coef_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdcoefct.o):jdcoefct.c:(.text+0x4aa): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdpostct.o): In function `jinit_d_post_controller':
jdpostct.c:(.text+0x27b): multiple definition of `jinit_d_post_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdpostct.o):jdpostct.c:(.text+0x27b): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jddctmgr.o): In function `jinit_inverse_dct':
jddctmgr.c:(.text+0x22e): multiple definition of `jinit_inverse_dct'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jddctmgr.o):jddctmgr.c:(.text+0x22e): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jidctfst.o): In function `jpeg_idct_ifast':
jidctfst.c:(.text+0x0): multiple definition of `jpeg_idct_ifast'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctfst.o):jidctfst.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jidctflt.o): In function `jpeg_idct_float':
jidctflt.c:(.text+0x0): multiple definition of `jpeg_idct_float'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctflt.o):jidctflt.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jidctint.o): In function `jpeg_idct_islow':
jidctint.c:(.text+0x0): multiple definition of `jpeg_idct_islow'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctint.o):jidctint.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jidctred.o): In function `jpeg_idct_4x4':
jidctred.c:(.text+0x0): multiple definition of `jpeg_idct_4x4'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctred.o):jidctred.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jidctred.o): In function `jpeg_idct_2x2':
jidctred.c:(.text+0x456): multiple definition of `jpeg_idct_2x2'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctred.o):jidctred.c:(.text+0x456): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jidctred.o): In function `jpeg_idct_1x1':
jidctred.c:(.text+0x632): multiple definition of `jpeg_idct_1x1'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctred.o):jidctred.c:(.text+0x632): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdsample.o): In function `jinit_upsampler':
jdsample.c:(.text+0x369): multiple definition of `jinit_upsampler'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdsample.o):jdsample.c:(.text+0x369): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdcolor.o): In function `jinit_color_deconverter':
jdcolor.c:(.text+0x3cb): multiple definition of `jinit_color_deconverter'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdcolor.o):jdcolor.c:(.text+0x3cb): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jquant1.o): In function `jinit_1pass_quantizer':
jquant1.c:(.text+0x3bf): multiple definition of `jinit_1pass_quantizer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jquant1.o):jquant1.c:(.text+0x3bf): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jquant2.o): In function `jinit_2pass_quantizer':
jquant2.c:(.text+0x105e): multiple definition of `jinit_2pass_quantizer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jquant2.o):jquant2.c:(.text+0x105e): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jdmerge.o): In function `jinit_merged_upsampler':
jdmerge.c:(.text+0x3eb): multiple definition of `jinit_merged_upsampler'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmerge.o):jdmerge.c:(.text+0x3eb): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcomapi.o): In function `jpeg_abort':
jcomapi.c:(.text+0x0): multiple definition of `jpeg_abort'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcomapi.o): In function `jpeg_destroy':
jcomapi.c:(.text+0x41): multiple definition of `jpeg_destroy'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x41): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcomapi.o): In function `jpeg_alloc_quant_table':
jcomapi.c:(.text+0x6f): multiple definition of `jpeg_alloc_quant_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x6f): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jcomapi.o): In function `jpeg_alloc_huff_table':
jcomapi.c:(.text+0x91): multiple definition of `jpeg_alloc_huff_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x91): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jutils.o): In function `jdiv_round_up':
jutils.c:(.text+0x0): multiple definition of `jdiv_round_up'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jutils.o): In function `jround_up':
jutils.c:(.text+0x13): multiple definition of `jround_up'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x13): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jutils.o): In function `jzero_far':
jutils.c:(.text+0x34): multiple definition of `jzero_far'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x34): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jutils.o): In function `jcopy_block_row':
jutils.c:(.text+0x46): multiple definition of `jcopy_block_row'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x46): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jutils.o): In function `jcopy_sample_rows':
jutils.c:(.text+0x5f): multiple definition of `jcopy_sample_rows'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x5f): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jutils.o):(.rodata+0x0): multiple definition of `jpeg_natural_order'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):(.rodata+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jerror.o): In function `jpeg_std_error':
jerror.c:(.text+0x5c): multiple definition of `jpeg_std_error'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jerror.o):jerror.c:(.text+0x5c): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jerror.o):(.rodata+0x0): multiple definition of `jpeg_std_message_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jerror.o):(.rodata+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemmgr.o): In function `jinit_memory_mgr':
jmemmgr.c:(.text+0x358): multiple definition of `jinit_memory_mgr'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemmgr.o):jmemmgr.c:(.text+0x358): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_mem_available':
jmemnobs.c:(.text+0x0): multiple definition of `jpeg_mem_available'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x0): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_open_backing_store':
jmemnobs.c:(.text+0x8): multiple definition of `jpeg_open_backing_store'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x8): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_mem_init':
jmemnobs.c:(.text+0x1c): multiple definition of `jpeg_mem_init'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x1c): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_mem_term':
jmemnobs.c:(.text+0x23): multiple definition of `jpeg_mem_term'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x23): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_free_large':
jmemnobs.c:(.text+0x28): multiple definition of `jpeg_free_large'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x28): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_free_small':
jmemnobs.c:(.text+0x37): multiple definition of `jpeg_free_small'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x37): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_get_large':
jmemnobs.c:(.text+0x46): multiple definition of `jpeg_get_large'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x46): first defined here
../../digikam/libs/dimg/.libs/libdimg.a(jmemnobs.o): In function `jpeg_get_small':
jmemnobs.c:(.text+0x55): multiple definition of `jpeg_get_small'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x55): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_suppress_tables':
jcapimin.c:(.text+0x0): multiple definition of `jpeg_suppress_tables'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_write_marker':
jcapimin.c:(.text+0x65): multiple definition of `jpeg_write_marker'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x65): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_write_m_header':
jcapimin.c:(.text+0xdf): multiple definition of `jpeg_write_m_header'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0xdf): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_write_m_byte':
jcapimin.c:(.text+0x13a): multiple definition of `jpeg_write_m_byte'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x13a): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_write_tables':
jcapimin.c:(.text+0x14c): multiple definition of `jpeg_write_tables'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x14c): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_finish_compress':
jcapimin.c:(.text+0x1ae): multiple definition of `jpeg_finish_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x1ae): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_abort_compress':
jcapimin.c:(.text+0x2a2): multiple definition of `jpeg_abort_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x2a2): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_destroy_compress':
jcapimin.c:(.text+0x2ab): multiple definition of `jpeg_destroy_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x2ab): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapimin.o): In function `jpeg_CreateCompress':
jcapimin.c:(.text+0x2b4): multiple definition of `jpeg_CreateCompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x2b4): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapistd.o): In function `jpeg_write_scanlines':
jcapistd.c:(.text+0x0): multiple definition of `jpeg_write_scanlines'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapistd.o):jcapistd.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapistd.o): In function `jpeg_write_raw_data':
jcapistd.c:(.text+0xb9): multiple definition of `jpeg_write_raw_data'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapistd.o):jcapistd.c:(.text+0xb9): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcapistd.o): In function `jpeg_start_compress':
jcapistd.c:(.text+0x180): multiple definition of `jpeg_start_compress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapistd.o):jcapistd.c:(.text+0x180): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jctrans.o): In function `jpeg_copy_critical_parameters':
jctrans.c:(.text+0x269): multiple definition of `jpeg_copy_critical_parameters'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jctrans.o):jctrans.c:(.text+0x269): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jctrans.o): In function `jpeg_write_coefficients':
jctrans.c:(.text+0x48f): multiple definition of `jpeg_write_coefficients'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jctrans.o):jctrans.c:(.text+0x48f): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_quality_scaling':
jcparam.c:(.text+0x0): multiple definition of `jpeg_quality_scaling'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_set_colorspace':
jcparam.c:(.text+0x40): multiple definition of `jpeg_set_colorspace'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x40): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_default_colorspace':
jcparam.c:(.text+0x3db): multiple definition of `jpeg_default_colorspace'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x3db): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_simple_progression':
jcparam.c:(.text+0x4df): multiple definition of `jpeg_simple_progression'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x4df): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_add_quant_table':
jcparam.c:(.text+0x74d): multiple definition of `jpeg_add_quant_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x74d): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_set_linear_quality':
jcparam.c:(.text+0x824): multiple definition of `jpeg_set_linear_quality'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x824): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_set_quality':
jcparam.c:(.text+0x862): multiple definition of `jpeg_set_quality'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x862): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcparam.o): In function `jpeg_set_defaults':
jcparam.c:(.text+0x87a): multiple definition of `jpeg_set_defaults'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcparam.o):jcparam.c:(.text+0x87a): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdatadst.o): In function `jpeg_stdio_dest':
jdatadst.c:(.text+0x2e): multiple definition of `jpeg_stdio_dest'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdatadst.o):jdatadst.c:(.text+0x2e): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcinit.o): In function `jinit_compress_master':
jcinit.c:(.text+0x0): multiple definition of `jinit_compress_master'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcinit.o):jcinit.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcmaster.o): In function `jinit_c_master_control':
jcmaster.c:(.text+0x4e8): multiple definition of `jinit_c_master_control'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcmaster.o):jcmaster.c:(.text+0x4e8): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcmarker.o): In function `jinit_marker_writer':
jcmarker.c:(.text+0x766): multiple definition of `jinit_marker_writer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcmarker.o):jcmarker.c:(.text+0x766): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcmainct.o): In function `jinit_c_main_controller':
jcmainct.c:(.text+0xe6): multiple definition of `jinit_c_main_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcmainct.o):jcmainct.c:(.text+0xe6): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcprepct.o): In function `jinit_c_prep_controller':
jcprepct.c:(.text+0x4c): multiple definition of `jinit_c_prep_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcprepct.o):jcprepct.c:(.text+0x4c): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jccoefct.o): In function `jinit_c_coef_controller':
jccoefct.c:(.text+0x267): multiple definition of `jinit_c_coef_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jccoefct.o):jccoefct.c:(.text+0x267): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jccolor.o): In function `jinit_color_converter':
jccolor.c:(.text+0x47c): multiple definition of `jinit_color_converter'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jccolor.o):jccolor.c:(.text+0x47c): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcsample.o): In function `jinit_downsampler':
jcsample.c:(.text+0x725): multiple definition of `jinit_downsampler'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcsample.o):jcsample.c:(.text+0x725): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jchuff.o): In function `jinit_huff_encoder':
jchuff.c:(.text+0x610): multiple definition of `jinit_huff_encoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jchuff.o):jchuff.c:(.text+0x610): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jchuff.o): In function `jpeg_make_c_derived_tbl':
jchuff.c:(.text+0x660): multiple definition of `jpeg_make_c_derived_tbl'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jchuff.o):jchuff.c:(.text+0x660): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jchuff.o): In function `jpeg_gen_optimal_table':
jchuff.c:(.text+0x8af): multiple definition of `jpeg_gen_optimal_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jchuff.o):jchuff.c:(.text+0x8af): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcphuff.o): In function `jinit_phuff_encoder':
jcphuff.c:(.text+0x8e1): multiple definition of `jinit_phuff_encoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcphuff.o):jcphuff.c:(.text+0x8e1): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcdctmgr.o): In function `jinit_forward_dct':
jcdctmgr.c:(.text+0x47d): multiple definition of `jinit_forward_dct'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcdctmgr.o):jcdctmgr.c:(.text+0x47d): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jfdctfst.o): In function `jpeg_fdct_ifast':
jfdctfst.c:(.text+0x0): multiple definition of `jpeg_fdct_ifast'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jfdctfst.o):jfdctfst.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jfdctflt.o): In function `jpeg_fdct_float':
jfdctflt.c:(.text+0x0): multiple definition of `jpeg_fdct_float'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jfdctflt.o):jfdctflt.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jfdctint.o): In function `jpeg_fdct_islow':
jfdctint.c:(.text+0x0): multiple definition of `jpeg_fdct_islow'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jfdctint.o):jfdctint.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_consume_input':
jdapimin.c:(.text+0x0): multiple definition of `jpeg_consume_input'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_input_complete':
jdapimin.c:(.text+0x277): multiple definition of `jpeg_input_complete'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x277): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_has_multiple_scans':
jdapimin.c:(.text+0x2b6): multiple definition of `jpeg_has_multiple_scans'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x2b6): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_finish_decompress':
jdapimin.c:(.text+0x2f5): multiple definition of `jpeg_finish_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x2f5): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_read_header':
jdapimin.c:(.text+0x3b7): multiple definition of `jpeg_read_header'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x3b7): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_abort_decompress':
jdapimin.c:(.text+0x426): multiple definition of `jpeg_abort_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x426): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_destroy_decompress':
jdapimin.c:(.text+0x42f): multiple definition of `jpeg_destroy_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x42f): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapimin.o): In function `jpeg_CreateDecompress':
jdapimin.c:(.text+0x438): multiple definition of `jpeg_CreateDecompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapimin.o):jdapimin.c:(.text+0x438): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapistd.o): In function `jpeg_read_scanlines':
jdapistd.c:(.text+0xd3): multiple definition of `jpeg_read_scanlines'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0xd3): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapistd.o): In function `jpeg_read_raw_data':
jdapistd.c:(.text+0x165): multiple definition of `jpeg_read_raw_data'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x165): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapistd.o): In function `jpeg_start_output':
jdapistd.c:(.text+0x219): multiple definition of `jpeg_start_output'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x219): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapistd.o): In function `jpeg_finish_output':
jdapistd.c:(.text+0x289): multiple definition of `jpeg_finish_output'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x289): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdapistd.o): In function `jpeg_start_decompress':
jdapistd.c:(.text+0x31d): multiple definition of `jpeg_start_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdapistd.o):jdapistd.c:(.text+0x31d): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdtrans.o): In function `jpeg_read_coefficients':
jdtrans.c:(.text+0x0): multiple definition of `jpeg_read_coefficients'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdtrans.o):jdtrans.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdatasrc.o): In function `jpeg_stdio_src':
jdatasrc.c:(.text+0x17): multiple definition of `jpeg_stdio_src'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdatasrc.o):jdatasrc.c:(.text+0x17): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmaster.o): In function `jpeg_new_colormap':
jdmaster.c:(.text+0x205): multiple definition of `jpeg_new_colormap'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmaster.o):jdmaster.c:(.text+0x205): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmaster.o): In function `jpeg_calc_output_dimensions':
jdmaster.c:(.text+0x282): multiple definition of `jpeg_calc_output_dimensions'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmaster.o):jdmaster.c:(.text+0x282): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmaster.o): In function `jinit_master_decompress':
jdmaster.c:(.text+0x488): multiple definition of `jinit_master_decompress'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmaster.o):jdmaster.c:(.text+0x488): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdinput.o): In function `jinit_input_controller':
jdinput.c:(.text+0x62): multiple definition of `jinit_input_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdinput.o):jdinput.c:(.text+0x62): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmarker.o): In function `jpeg_resync_to_restart':
jdmarker.c:(.text+0xc5e): multiple definition of `jpeg_resync_to_restart'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xc5e): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmarker.o): In function `jinit_marker_reader':
jdmarker.c:(.text+0xdcb): multiple definition of `jinit_marker_reader'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xdcb): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmarker.o): In function `jpeg_save_markers':
jdmarker.c:(.text+0xe3f): multiple definition of `jpeg_save_markers'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xe3f): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmarker.o): In function `jpeg_set_marker_processor':
jdmarker.c:(.text+0xf1d): multiple definition of `jpeg_set_marker_processor'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmarker.o):jdmarker.c:(.text+0xf1d): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdhuff.o): In function `jpeg_fill_bit_buffer':
jdhuff.c:(.text+0x0): multiple definition of `jpeg_fill_bit_buffer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdhuff.o): In function `jpeg_huff_decode':
jdhuff.c:(.text+0x109): multiple definition of `jpeg_huff_decode'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x109): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdhuff.o): In function `jinit_huff_decoder':
jdhuff.c:(.text+0x61d): multiple definition of `jinit_huff_decoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x61d): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdhuff.o): In function `jpeg_make_d_derived_tbl':
jdhuff.c:(.text+0x667): multiple definition of `jpeg_make_d_derived_tbl'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdhuff.o):jdhuff.c:(.text+0x667): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdphuff.o): In function `jinit_phuff_decoder':
jdphuff.c:(.text+0x7f): multiple definition of `jinit_phuff_decoder'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdphuff.o):jdphuff.c:(.text+0x7f): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmainct.o): In function `jinit_d_main_controller':
jdmainct.c:(.text+0x4e4): multiple definition of `jinit_d_main_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmainct.o):jdmainct.c:(.text+0x4e4): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdcoefct.o): In function `jinit_d_coef_controller':
jdcoefct.c:(.text+0x4aa): multiple definition of `jinit_d_coef_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdcoefct.o):jdcoefct.c:(.text+0x4aa): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdpostct.o): In function `jinit_d_post_controller':
jdpostct.c:(.text+0x27b): multiple definition of `jinit_d_post_controller'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdpostct.o):jdpostct.c:(.text+0x27b): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jddctmgr.o): In function `jinit_inverse_dct':
jddctmgr.c:(.text+0x22e): multiple definition of `jinit_inverse_dct'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jddctmgr.o):jddctmgr.c:(.text+0x22e): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jidctfst.o): In function `jpeg_idct_ifast':
jidctfst.c:(.text+0x0): multiple definition of `jpeg_idct_ifast'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctfst.o):jidctfst.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jidctflt.o): In function `jpeg_idct_float':
jidctflt.c:(.text+0x0): multiple definition of `jpeg_idct_float'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctflt.o):jidctflt.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jidctint.o): In function `jpeg_idct_islow':
jidctint.c:(.text+0x0): multiple definition of `jpeg_idct_islow'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctint.o):jidctint.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jidctred.o): In function `jpeg_idct_4x4':
jidctred.c:(.text+0x0): multiple definition of `jpeg_idct_4x4'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctred.o):jidctred.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jidctred.o): In function `jpeg_idct_2x2':
jidctred.c:(.text+0x456): multiple definition of `jpeg_idct_2x2'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctred.o):jidctred.c:(.text+0x456): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jidctred.o): In function `jpeg_idct_1x1':
jidctred.c:(.text+0x632): multiple definition of `jpeg_idct_1x1'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jidctred.o):jidctred.c:(.text+0x632): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdsample.o): In function `jinit_upsampler':
jdsample.c:(.text+0x369): multiple definition of `jinit_upsampler'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdsample.o):jdsample.c:(.text+0x369): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdcolor.o): In function `jinit_color_deconverter':
jdcolor.c:(.text+0x3cb): multiple definition of `jinit_color_deconverter'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdcolor.o):jdcolor.c:(.text+0x3cb): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jquant1.o): In function `jinit_1pass_quantizer':
jquant1.c:(.text+0x3bf): multiple definition of `jinit_1pass_quantizer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jquant1.o):jquant1.c:(.text+0x3bf): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jquant2.o): In function `jinit_2pass_quantizer':
jquant2.c:(.text+0x105e): multiple definition of `jinit_2pass_quantizer'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jquant2.o):jquant2.c:(.text+0x105e): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jdmerge.o): In function `jinit_merged_upsampler':
jdmerge.c:(.text+0x3eb): multiple definition of `jinit_merged_upsampler'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jdmerge.o):jdmerge.c:(.text+0x3eb): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcomapi.o): In function `jpeg_abort':
jcomapi.c:(.text+0x0): multiple definition of `jpeg_abort'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcomapi.o): In function `jpeg_destroy':
jcomapi.c:(.text+0x41): multiple definition of `jpeg_destroy'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x41): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcomapi.o): In function `jpeg_alloc_quant_table':
jcomapi.c:(.text+0x6f): multiple definition of `jpeg_alloc_quant_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x6f): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jcomapi.o): In function `jpeg_alloc_huff_table':
jcomapi.c:(.text+0x91): multiple definition of `jpeg_alloc_huff_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcomapi.o):jcomapi.c:(.text+0x91): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jutils.o): In function `jdiv_round_up':
jutils.c:(.text+0x0): multiple definition of `jdiv_round_up'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jutils.o): In function `jround_up':
jutils.c:(.text+0x13): multiple definition of `jround_up'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x13): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jutils.o): In function `jzero_far':
jutils.c:(.text+0x34): multiple definition of `jzero_far'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x34): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jutils.o): In function `jcopy_block_row':
jutils.c:(.text+0x46): multiple definition of `jcopy_block_row'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x46): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jutils.o): In function `jcopy_sample_rows':
jutils.c:(.text+0x5f): multiple definition of `jcopy_sample_rows'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):jutils.c:(.text+0x5f): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jutils.o):(.rodata+0x0): multiple definition of `jpeg_natural_order'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jutils.o):(.rodata+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jerror.o): In function `jpeg_std_error':
jerror.c:(.text+0x5c): multiple definition of `jpeg_std_error'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jerror.o):jerror.c:(.text+0x5c): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jerror.o):(.rodata+0x0): multiple definition of `jpeg_std_message_table'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jerror.o):(.rodata+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemmgr.o): In function `jinit_memory_mgr':
jmemmgr.c:(.text+0x358): multiple definition of `jinit_memory_mgr'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemmgr.o):jmemmgr.c:(.text+0x358): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_mem_available':
jmemnobs.c:(.text+0x0): multiple definition of `jpeg_mem_available'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x0): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_open_backing_store':
jmemnobs.c:(.text+0x8): multiple definition of `jpeg_open_backing_store'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x8): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_mem_init':
jmemnobs.c:(.text+0x1c): multiple definition of `jpeg_mem_init'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x1c): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_mem_term':
jmemnobs.c:(.text+0x23): multiple definition of `jpeg_mem_term'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x23): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_free_large':
jmemnobs.c:(.text+0x28): multiple definition of `jpeg_free_large'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x28): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_free_small':
jmemnobs.c:(.text+0x37): multiple definition of `jpeg_free_small'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x37): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_get_large':
jmemnobs.c:(.text+0x46): multiple definition of `jpeg_get_large'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x46): first defined here
../../digikam/utilities/cameragui/.libs/libcameragui.a(jmemnobs.o): In function `jpeg_get_small':
jmemnobs.c:(.text+0x55): multiple definition of `jpeg_get_small'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jmemnobs.o):jmemnobs.c:(.text+0x55): first defined here
collect2: ld returned 1 exit status
make[3]: *** [libdigikam.la] Error 1
make[3]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam/digikam'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2/digikam'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/local/slim/build/digikam/source/digikam-0.9.2'
make: *** [all] Error 2

Any ideas?
Comment 1 Arnd Baecker 2007-07-01 11:11:03 UTC
The crucial lines are those just at the first ocurance of the error,
../../digikam/libs/dimg/.libs/libdimg.a(jcapimin.o): In function `jpeg_suppress_tables':
jcapimin.c:(.text+0x0): multiple definition of `jpeg_suppress_tables'
../../digikam/libs/jpegutils/.libs/libjpegutils.a(jcapimin.o):jcapimin.c:(.text+0x0): first defined here 

But I don't understand why ... 
Maybe you could try with a fresh svn check-out?
(http://www.digikam.org/?q=download/svn under "Install digiKam in your Home Directory")

Sorry, no real help - good luck, Arnd
Comment 2 Achim Bohnet 2007-07-02 00:56:39 UTC
This is really strange.  Here both libs don't contain jcapimin.o
You see any output for:

 ar -t digikam/libs/jpegutils/.libs/libjpegutils.a  | grep jcapi
 ar -t digikam/libs/dimg/.libs/libdimg.a | grep jcapi

libjpegutils contains here only two modules:

ar -t digikam/libs/jpegutils/.libs/libjpegutils.a
jpegutils.o
transupp.o

Can it be that you try to build a static version of digikam
(I never had success building a KDE application static)
using ./configure --enable-static ?
Comment 3 caulier.gilles 2007-07-10 23:06:13 UTC
Alf,

We need more informations about how you have compiled and linked digiKam. Please report us these informations, else this story cannot be continued...

Gilles Caulier
Comment 4 Alf Mel 2007-07-10 23:52:24 UTC
I am building digiKam on a system built from scratch following LFS rules.  My configure string is as follows:

./configure --prefix=/opt/kde --disable-debug --disable-dependency-tracking

My C(XX)FLAGS were as follows:

-Os -march=athlon-xp -pipe -fstack-protector -D_FORTIFY_SOURCE=2 -Wl,-O1,--as-needed

All my software has been configured with those flags.  I know some packages have troubles with the stack protector and fortify source so I took those off, and simply left -Os -march=athlon-xp -pipe but the same problem occurred.  I have not tried the CVS build yet.  Hopefully I can try this later today.
Comment 5 Alf Mel 2007-07-11 00:34:16 UTC
As per ... comment, I ran the build again, adding --disable-static to make sure static libraries were not built.  Configure still gave the same results:

checking whether to build static libraries... no

Now, correct me if I'm wrong (usually the case), but aren't .la files used for static linking?  Why are they being built if static libraries are not being built?
Comment 6 Alf Mel 2007-07-12 16:34:57 UTC
I have created a tarball of the source+build directory up until the time it displays the error.  The tarball contains two extra files, log-configure and log-make which show the full logs from the configure and make commands.  You can download the tarball at:

http://slim.mypals.org/slim/digikam-build-error.tar.bz2

Here is a bit more on my environment:

umask 022
set +h
export _POSIX2_VERSION=199209
export CONFIG_SITE="/var/local/slim/build/digikam/config.site"
export LC_ALL=POSIX
export LDFLAGS="-s"
export CFLAGS="-Os -march=athlon-xp -pipe -fstack-protector -D_FORTIFY_SOURCE=2 -Wl,-O1,--as-needed"
export CXXFLAGS="-Os -march=athlon-xp -pipe -fstack-protector -D_FORTIFY_SOURCE=2 -Wl,-O1,--as-needed"
export MAKEFLAGS="-j2"
export prefix="/opt/kde"

My config.site:

test $prefix = NONE && prefix=/opt/kde
test -z "$CFLAGS" && CFLAGS="-O2 -pipe"
test -z "$CXXFLAGS" && CXXFLAGS="-O2 -pipe"

My commands after untarring:

./configure --disable-debug --disable-dependency-tracking
make -j1

I hope that helps.
Comment 7 Andi Clemens 2008-09-07 15:01:52 UTC
Is this bugreport still valid? Otherwise we should close it?
Comment 8 caulier.gilles 2008-09-07 19:11:00 UTC
Not reproductible here with PC

It's a specific Macos stuff... So i cannot hack this problem

Gilles
Comment 9 Alf Mel 2008-09-07 21:22:51 UTC
(In reply to comment #7)
> Is this bugreport still valid? Otherwise we should close it?

I just built 0.9.4 and the problem did not exist.  It has been over a year since this problem was reported and I haven't had it since.  It could have been unique to my system.

(As a note, this occurred in a Linux system, not on MacOS.)